---
stages:
  - Repository sanity check
  - Python static analysis

big_files:
  stage: Repository sanity check
  script:
    - >
      big_files=$(find . -size +100M -not -path "./.git/*");
      if [[ $big_files ]];
      then printf "Found some huge files 😱\n$big_files"; exit 1;
      else printf "No huge files found ✔️"; exit 0; fi;

flake8:
  stage: Python static analysis
  image: python:3-slim
  script:
    - pip install flake8
    - flake8 .

black:
  stage: Python static analysis
  image: python:3-slim
  script:
    - pip install black
    - black --check .
